HyperTrackDocs
Workers

Delete Worker Approver

DELETE
/workers/{worker_handle}/approvers/{approver_id}

Remove a specific approver from a worker.

Authorization

AuthorizationBasic <token>

In: header

Path Parameters

worker_handle*string
approver_id*string

Response Body

application/json

application/json

curl -X DELETE "https://example.com/workers/string/approvers/string"
Empty
{  "detail": {},  "message": "string"}

{  "code": "driver_not_found",  "title": "Worker Not Found",  "detail": {    "description": "Worker not found for handle worker_456"  }}

Update Ops Group PATCH

Update Ops Group by ops_group_handle

Get Orders GET

### Planning failure reasons When an order is left unplanned by automated planning, `planning_failure_reason` may contain one of these values: - `No Worker was available for this plan.` - `No Worker schedule overlaps with this order's time window.` - `This order is outside the available Worker working hours.` - `Worker location is unavailable, so travel time could not be evaluated.` - `Worker start location is unavailable for the configured route start setting.` - `No Worker supports the required product type for this order.` - `Route was being modified concurrently and this order needs to be re-planned.` - `The optimizer dropped this order to satisfy planning constraints for the overall plan.` - `The optimizer could not find a feasible plan for the provided constraints.` - `Travel time calculation failed for this planning attempt.` - `Ops group configuration is incomplete for automated planning.` - `Assigning this order would exceed route or Worker capacity.` - `No Worker can reach this order before scheduled_at.` - `Assigning this order would delay an already planned downstream order.` - `Assigning this order would exceed the Worker's shift end time.` - `Existing assigned route conflicts with the Worker schedule, so this order could not be inserted into the plan.` - `Existing assigned route exceeds the Worker's shift, so this order could not be inserted into the plan.` - `Existing assigned route has conflicting appointment windows, so this order could not be inserted into the plan.` - `Existing assigned route exceeds route or Worker capacity, so this order could not be inserted into the plan.` - `Existing assigned route exceeds the configured maximum route distance, so this order could not be inserted into the plan.` - `Existing assigned routes were preserved, so this order could not be inserted into the plan.` - `Assigning this order would exceed the configured maximum route distance.` - `The optimizer reached its planning limit before it could assign this order.` - `Automated planning could not assign this order with the provided constraints.`